clang 8.0.0

Static Public Member Functions | List of all members
llvm::DenseMapInfo< clang::DeclarationName > Struct Template Reference

Define DenseMapInfo so that DeclarationNames can be used as keys in DenseMap and DenseSets. More...

`#include "clang/AST/DeclarationName.h"`

## Static Public Member Functions
static clang::DeclarationName | getEmptyKey ()
static clang::DeclarationName | getTombstoneKey ()
static unsigned | getHashValue (clang::DeclarationName Name)
static bool | isEqual (clang::DeclarationName LHS, clang::DeclarationName RHS)

## Detailed Description

### template<>
struct llvm::DenseMapInfo< clang::DeclarationName >

Define DenseMapInfo so that DeclarationNames can be used as keys in DenseMap and DenseSets.

Definition at line 846 of file DeclarationName.h.

## Member Function Documentation

## ◆ getEmptyKey()

static clang::DeclarationName llvm::DenseMapInfo< clang::DeclarationName >::getEmptyKey | ( |  | ) |
| inline static

Definition at line 847 of file DeclarationName.h.

References clang::DeclarationName::getEmptyMarker().

## ◆ getHashValue()

static unsigned llvm::DenseMapInfo< clang::DeclarationName >::getHashValue | ( | clang::DeclarationName | Name | ) |
| inline static

Definition at line 855 of file DeclarationName.h.

## ◆ getTombstoneKey()

static clang::DeclarationName llvm::DenseMapInfo< clang::DeclarationName >::getTombstoneKey | ( |  | ) |
| inline static

Definition at line 851 of file DeclarationName.h.

References clang::DeclarationName::getTombstoneMarker().

## ◆ isEqual()

static bool llvm::DenseMapInfo< clang::DeclarationName >::isEqual | ( | clang::DeclarationName | LHS,
|  | clang::DeclarationName | RHS
| ) |  |
| inline static

Definition at line 860 of file DeclarationName.h.

The documentation for this struct was generated from the following file:

- include/clang/AST/DeclarationName.h